FieldCacheSource (Solr 3.6.2 API)
Keywords: org.apache.solr.search.function.FieldCacheSource class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.function
Class FieldCacheSource

    java.lang.Object
      org.apache.solr.search.function.ValueSource
          org.apache.solr.search.function.FieldCacheSource

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ByteFieldSource, DoubleFieldSource, FloatFieldSource, IntFieldSource, LongFieldSource, ShortFieldSource, StrFieldSource

    public abstract class FieldCacheSource

extends ValueSource

A base class for ValueSource implementations that retrieve values for a single field from the `FieldCache`.

Version:
  $Id: FieldCacheSource.java 1065312 2011-01-30 16:08:25Z rmuir $
See Also:
  Serialized Form

Field Summary
`protected FieldCache` | `cache`
`protected String` | `field`

Constructor Summary
`FieldCacheSource(String field)`

Method Summary
`String` | `description()` description of field, used in explain()
`boolean` | `equals(Object o)`
`FieldCache` | `getFieldCache()`
`int` | `hashCode()`

Methods inherited from class org.apache.solr.search.function.ValueSource
`createWeight, getSortField, getValues, getValues, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### field

    protected String field

### cache

    protected FieldCache cache

Constructor Detail

### FieldCacheSource

    public FieldCacheSource(String field)

Method Detail

### getFieldCache

    public FieldCache getFieldCache()

### description

    public String description()

  Description copied from class: `ValueSource`
  description of field, used in explain()

  Specified by:
    `description` in class `ValueSource`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in class `ValueSource`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ValueSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD